Package weka.clusterers.forOPTICSAndDBScan.OPTICS_GUI

# Class OPTICS_Visualizer

java.lang.Object
weka.clusterers.forOPTICSAndDBScan.OPTICS_GUI.OPTICS_Visualizer

All Implemented Interfaces:
  `RevisionHandler`

public class OPTICS_Visualizer extends Object implements RevisionHandler
Start the OPTICS Visualizer from command-line:
`java weka.clusterers.forOPTICSAndDBScan.OPTICS_GUI.OPTICS_Visualizer [file.ser]`

OPTICS_Visualizer.java
Authors: Rainer Holzmann, Zhanna Melnikova-Albrecht
Date: Sep 12, 2004
Time: 8:01:13 PM
$ Revision 1.4 $

Version:
  $Revision: 4791 $
Author:
  Zhanna Melnikova-Albrecht (melnikov@cip.ifi.lmu.de), Rainer Holzmann (holzmann@cip.ifi.lmu.de)

## Constructor Summary

Constructors
Constructor
Description
`OPTICS_Visualizer(SERObject serObject, String title)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`static void`
`main(String[] args)`
Displays the GUI.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OPTICS_Visualizer

public OPTICS_Visualizer(SERObject serObject, String title)

## Method Details

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision

### main

public static void main(String[] args) throws Exception
Displays the GUI. If an optics file is provided as first parameter, this will be loaded and displayed automatically.

Parameters:
  `args` - the commandline parameters
Throws:
  `Exception` - if something goes wrong